## mythtv 0.23.0+fixes24158

=== debian/changelog ===
mythtv (0.23.0+fixes24158-0ubuntu2) lucid; urgency=low

  * debian/patches/proper_shutdown_behavior_for_ubuntu.patch: 
    - Drop support for a configurable shutdown or reboot command in the GUI
    - Only use DBUS for shutdown and halt

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 23 Apr 2010 10:56:00 -0500

mythtv (0.23.0+fixes24158-0ubuntu1) lucid; urgency=low
  
  * New upstream snapshot (r24158)
    - work around XMLtv bug causing obscenely poor response.
  * debian/control: Build-Depend on libmysqlclient16-dev, as previous 
    depends are being removed from the archive. (LP: #563053)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 16 Apr 2010 16:47:24 +0100

mythtv (0.23.0+fixes24133-0ubuntu1) lucid; urgency=low

  [ Dave Walker (Daviey) ]
  * New upstream snapshot (r24133)
    - Fixes crash of mythfrontend when upconverting audio to 5.1 (LP: #550562)
    - Improve Jamu handling of invalid database data (LP: #549352)
    - Remove mythtranscode's internal copy of the slow-delete code and instead 
      send a request to the backend to delete the file. (LP: #481104)
    - LiveTV & recording with V4L cards on 64-bit backend fixed. (LP: #562690)
  * debian/mcc-mirobridge/*: New icon, UI alignment changes and description 
    text added.  Courtesy of R. Doug Vaughan.
  * debian/rules: Added cxx option "-maltivec" to PowerPC specifc configure 
    option to fix FTBFS for that architecture. (LP: #559614)

  [ Mario Limonciello ]  
  * 40_libudev.path:
    - Add -ludev to the library check.
  * debian/control:
    - Drop linux-libc-dev build-dep.
  * Actually disable halt and reboot commands by default.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 15 Apr 2010 00:04:14 +0100

mythtv (0.23.0+fixes23820-0ubuntu1) lucid; urgency=low

  * New upstream snapshot (r23820)
  * debian/patches/40_libudev.patch: Use libudev to get the information
    instead of calling udevinfo which has been superseded by udevadm,
    which is not compatiable.  (LP: #479509)
  * debian/control: Added Build-Depends of libudev-dev, linux-libc-dev
    to satisfy 40_libudev.patch.
  * debian/mcc-mirobridge/, debian/mythtv-backend.install:
    Install the Mythbuntu-Control-Centre plugin for mirobridge
    if mythtv-backend is installed. (LP: #520731)
  * Refreshed patches.
  * debian/changelog: Fixed old entry that had a non-valid email address
    causing lintian errors.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Sat, 27 Mar 2010 19:18:15 +0000

mythtv (0.23.0+fixes23789-0ubuntu2) lucid; urgency=low

  * debian/rules:
    - Compile-type=debug for better debugging purposes.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 25 Mar 2010 23:22:48 -0500

mythtv (0.23.0+fixes23789-0ubuntu1) lucid; urgency=low

  [ Jamie Bennett ]
  * Fix FTBFS on armel (LP: #537714)

  [ Mario Limonciello ]
  * mythtv-{common,backend}.{config,templates,postinst}: (LP: #483748)
    - Simplify debconf questions by avoiding showing the generated pw
    - Don't warn about mythtv group.
    - Don't notify about running mythtv-setup.  This is optional (but
      of course encouraged!)
  * Set version to include a "+" delimitter.
  * Restore libfaad-dev dependency. (LP: #546552)

  [ Dave Walker (Daviey) ]
  * New snapshot (r23789), based from 0.23-fixes.
  * debian/control:
    - mythtv-frontend set to Conflict with mythflix, as it's dropped
      upstream. (LP: #544521)
    - Remove unnecessary and potentially problematic use of Pre-Depends.
    - Set the debug package to Priority extra.
    - Change *-perl Section's from libs to perl
    - add ${shlibs:Depends} for mythtv-common Depends field
    - Minor spelling fix.
    - Fixes the long description for one of the packages, ensuring the
      description doesn't exceed 80 characters.
    - Vcs-* set to -fixes, rather than -trunk.
  * debian/rules:
    - Use debconf-updatepo to update translations when required
    - Ensure license files are not included in the binary packages, except 
      for debian/copyright.
    - Fixes the permissions of certain files in the packaging.
  * debian/copyright:
    - updated to reflect that mythtv is GPL-2 only.
    - inserted better licence statement and Copyright reference.
  * debian/mythtv-*.templates
    - Simplified strings; removed verbosity and improved readability.
  * Prevent the maintainer scripts from failing in case any questions 
    can't be displayed.
  * Added holding debian/mythtv-frontend.config, mainly to appease lintian.
  * debian/mythtv-frontend.menu: Changed section to Applications/Graphics.
  * debian/mythtv-backend.postinst: Load debconf libraries.
  * debian/source.lintian-overrides: Removes the unecessary override of the 
    binNMU warnings.
  * Fix perl binding installation.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 23 Mar 2010 19:32:33 +0000

mythtv (0.23.0~trunk23623-0ubuntu1) lucid; urgency=low

  [ Dave Walker ]
  * debian/control:  Added quilt as a build-depends, primarily
    for karmic builds.

  [ Mario Limonciello ]
  * New checkout (r23623).
    - Fixes audio issues w/ ac3 audio.
  * debian/patches/36_setgroups_too:
    - Set the right args for setgroups. (LP: #524822)
  * debian/rules:
    - Explicitly set all shell scripts executable.  Fixes problems on < lucid
      builds.
  * debian/control:
    - Correct the replaces statements. (LP: #527288)

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 27 Feb 2010 14:33:45 -0600

mythtv (0.23.0~trunk23567-0ubuntu4) lucid; urgency=low

  [ Mario Limonciello ]
  * debian/control:
    - Build-depends on libxrandr-dev for xrandr support.
    - Restore Build-depends on libfftw3-dev (not really a top secret option)
  * debian/source_mythtv.py:
    - Don't use bool, apport doesn't like them.
  * debian/patches/36_setgroups_too:
    - Run setgroups() before setgid/setuid (LP: #524822)

  [ Andres Mejia ]
  * Refresh all patches. Use '-p ab' format with no index or timestamps.
  * Add comment for each patch.

