=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                 ccache,
                 yasm,
                 libqt4-dev,
+                libqt4-webkit-dev | libqt4-dev (<< 4:4.7.0~beta1),
                 libqt4-opengl-dev,
                 libdvb-dev,
                 po-debconf,
@@ -32,7 +33,7 @@
                 libxext-dev | xlibs-static-dev (<< 6.8.1-1),
                 libimlib2-dev,
                 libasound2-dev,
-                libjack0.100.0-dev | libjack-dev,
+                libjack-dev | libjack0.100.0-dev,
                 libmp3lame-dev | liblame-dev,
                 libvorbis-dev,
                 libdts-dev,
@@ -81,7 +82,7 @@
 Depends: pwgen, adduser, mysql-client, ttf-freefont, ttf-liberation, ttf-droid, ttf-dejavu, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mythtv-doc
 Conflicts: mythtv (<< 0.8-1), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-gray-osd, mythtv-theme-isthmus
-Replaces: mythtv (<< 0.8-1), mythtv-frontend (<< 0.23.0~trunk23548), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols (<< 0.20.trunk19500), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-isthmus, mythtv-theme-gray-osd, mythtv-theme-mythbuntu, mythtv-backend (<< 0.23.0~trunk23549)
+Replaces: mythtv (<< 0.8-1), mythtv-frontend (<< 0.23.0~trunk23548), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols (<< 0.20.trunk19500), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-isthmus, mythtv-theme-gray-osd, mythtv-theme-mythbuntu, mythtv-backend (<< 0.23.0~trunk23549), mythtv-database (<< 0.23.1+fixes25610)
 Description: A personal video recorder application (common data)
  MythTV provides a unified graphical interface for recording and viewing
  television programs. Refer to the mythtv package for more information.
