=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	CONFIGURE_OPTS += --enable-altivec --extra-cxxflags="-maltivec"
 endif
 
+
 %:
 	dh $@
 
@@ -73,7 +74,7 @@
 
 override_dh_installinit:
 	# The upstart script comes from contrib
-	cp contrib/Linux/init_scripts/upstart.mythtv-backend.conf debian/mythtv-backend.upstart
+#	cp contrib/Linux/init_scripts/upstart.mythtv-backend.conf debian/mythtv-backend.upstart
 	dh_installinit
 
 	#Remove license files
