## mythtv 0.23.1+fixes26437-0ubuntu1trisquel1

=== debian/changelog ===
mythtv (0.23.1+fixes26437-0ubuntu1trisquel1) slaine; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 May 2011 18:27:12 +0000
